التوثيق

List a customer's balance transactions

Returns every change to the customer's balance, newest first: credit given, credit used on an invoice, and credit returned.

GET
/customers/{id}/balance-transactions

Returns every change to the customer's balance, newest first: credit given, credit used on an invoice, and credit returned.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Path Parameters

id*string

Customer ID

Query Parameters

page?|

Page number (1-based)

Range1 <= value <= 2147483647
Default1
limit?|

Number of items per page

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/string/balance-transactions"
{  "data": [    {      "id": "cbtxn_3Nf8a2kLmPq9",      "object": "customer_balance_transaction",      "type": "adjustment",      "amount": -9007199254740991,      "endingBalance": -9007199254740991,      "currency": "EGP",      "invoiceId": "string",      "creditNoteId": "string",      "description": "string",      "customerId": "string",      "merchantId": "string",      "createdAt": "string"    }  ],  "totalCount": 0}